## class Color

> Associates a color name with a pixel value and a RGB value.

### Public Fields

  string | name
  double | red
  double | green
  double | blue
  unsigned long | pixel
  bool | allocated

### Public Methods

  | Color (string x, double r, double g, double b)
  | Color (const char *x, double r, double g, double b)
  | Color (string x, unsigned long p)
  | Color (const char *x, unsigned long p)

## Documentation

> Associates a color name with a pixel value and a RGB value.

`Color(string x, double r, double g, double b)`

`Color(const char *x, double r, double g, double b)`

`Color(string x, unsigned long p)`

`Color(const char *x, unsigned long p)`

`string name`

`double red`

`double green`

`double blue`

`unsigned long pixel`

`bool allocated`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de